Package writer2latex.office

# Class ListStyle

java.lang.Object
writer2latex.office.OfficeStyle
writer2latex.office.ListStyle

public class ListStyle extends OfficeStyle

Class representing a list style (including outline numbering) in OOo Writer

## Field Summary

### Fields inherited from class writer2latex.office.OfficeStyle

`bAutomatic, family, sName`

## Constructor Summary

Constructors
Constructor
Description
`ListStyle()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getLevelProperty(int i, String sName)`
`String`
`getLevelStyleProperty(int i, String sName)`
`String`
`getLevelType(int i)`
`boolean`
`isBullet(int i)`
`boolean`
`isImage(int i)`
`boolean`
`isNewType(int i)`
`boolean`
`isNumber(int i)`
`void`
`loadStyleFromDOM(Node node)`

### Methods inherited from class writer2latex.office.OfficeStyle

`getDisplayName, getFamily, getListStyleName, getMasterPageName, getName, getParentName, getParentStyle, isAutomatic`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ListStyle

public ListStyle()

## Method Details

### getLevelType

public String getLevelType(int i)

### isNumber

public boolean isNumber(int i)

### isBullet

public boolean isBullet(int i)

### isImage

public boolean isImage(int i)

### isNewType

public boolean isNewType(int i)

### getLevelProperty

public String getLevelProperty(int i, String sName)

### getLevelStyleProperty

public String getLevelStyleProperty(int i, String sName)

### loadStyleFromDOM

public void loadStyleFromDOM(Node node)

Overrides:
  `loadStyleFromDOM` in class `OfficeStyle`